## Class cdata

zeep::xml::cdata

## Synopsis

    // In header: </build/libzeep-8SPbhu/libzeep-3.0.5/zeep/xml/node.hpp>

    class cdata : public zeep::xml::text {
    public:
      // construct/copy/destruct
      cdata();
      cdata(const std::string &);

      // public member functions
      virtual void write(writer &) const;
      virtual bool equals(const node *) const;
      virtual node * clone() const;
    };

## Description

A node containing the contents of a CDATA section. Normally, these nodes are converted to text nodes but you can specify to preserve them when parsing a document.

### `cdata` public construct/copy/destruct

1.     cdata();

2.     cdata(const std::string & s);

### `cdata` public member functions

1.     virtual void write(writer & w) const;

   writing out

2.     virtual bool equals(const node * n) const;

   Compare the node with n.

3.     virtual node * clone() const;

   Deep clone the node.